GrailsAsyncContext (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.async
[Groovy] Class GrailsAsyncContext

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.async.GrailsAsyncContext

All Implemented Interfaces:
  javax.servlet.AsyncContext

    class GrailsAsyncContext

Wraps an AsyncContext providing additional logic to provide the appropriate context to a Grails application.

Authors:
  Graeme Rocher

Since:
  2.0

Property Summary
`javax.servlet.AsyncContext` | `delegate`
`GroovyPageLayoutFinder` | `groovyPageLayoutFinder`
`GrailsWebRequest` | `originalWebRequest`

Constructor Summary
`GrailsAsyncContext(javax.servlet.AsyncContext delegate, GrailsWebRequest webRequest)`

Method Summary
`void` | `complete()`
`java.lang.Object` | `createListener(java.lang.Class tClass)`
`protected java.util.Collection` | `getPersistenceInterceptors(GrailsWebRequest webRequest)`
`void` | `start(java.lang.Runnable runnable)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### delegate

    @groovy.lang.Delegate
    javax.servlet.AsyncContext delegate

### groovyPageLayoutFinder

    GroovyPageLayoutFinder groovyPageLayoutFinder

### originalWebRequest

    GrailsWebRequest originalWebRequest

Constructor Detail

### GrailsAsyncContext

    GrailsAsyncContext(javax.servlet.AsyncContext delegate, GrailsWebRequest webRequest)

Method Detail

### complete

    void complete()

### createListener

    java.lang.Object createListener(java.lang.Class tClass)

### getPersistenceInterceptors

    protected java.util.Collection getPersistenceInterceptors(GrailsWebRequest webRequest)

### start

    void start(java.lang.Runnable runnable)

Groovy Documentation